### Method

# Gtk.Entry.get_icon_name

#### Declaration [src]

    const char*
    gtk_entry_get_icon_name (
      GtkEntry* entry,
      GtkEntryIconPosition icon_pos
    )

#### Description [src]

Retrieves the icon name used for the icon.

`NULL` is returned if there is no icon or if the icon was set by some other method (e.g., by `GdkPaintable` or gicon).

#### Parameters

`icon_pos` | `GtkEntryIconPosition`
| Icon position

#### Return value

Returns: `const char*`
An icon name, or `NULL` if no icon is set or if the icon wasn’t set from an icon name
Ownership is not transferred to the caller
Can be `NULL`
The string is a NUL terminated UTF-8 string